Package com.google.protobuf

# Interface Internal.EnumLite

All Known Subinterfaces:
  `ProtocolMessageEnum`

All Known Implementing Classes:
  `ClientWireProtocol.Authenticator.ResponseOneofCase`, `ClientWireProtocol.ClientConnectionSSO2Response.ResponseOneofCase`, `ClientWireProtocol.ConfirmationResponse.ResponseType`, `ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`, `ClientWireProtocol.ExplainFormat`, `ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`, `ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase`, `ClientWireProtocol.PerformanceMode`, `ClientWireProtocol.Request.RequestOneofCase`, `ClientWireProtocol.Request.RequestType`, `ClientWireProtocol.ServerSignal`, `ClientWireProtocol.SetParameter.ParameterCase`, `DescriptorProtos.Edition`, `DescriptorProtos.ExtensionRangeOptions.VerificationState`, `DescriptorProtos.FeatureSet.EnumType`, `DescriptorProtos.FeatureSet.FieldPresence`, `DescriptorProtos.FeatureSet.JsonFormat`, `DescriptorProtos.FeatureSet.MessageEncoding`, `DescriptorProtos.FeatureSet.RepeatedFieldEncoding`, `DescriptorProtos.FeatureSet.Utf8Validation`, `DescriptorProtos.FieldDescriptorProto.Label`, `DescriptorProtos.FieldDescriptorProto.Type`, `DescriptorProtos.FieldOptions.CType`, `DescriptorProtos.FieldOptions.JSType`, `DescriptorProtos.FieldOptions.OptionRetention`, `DescriptorProtos.FieldOptions.OptionTargetType`, `DescriptorProtos.FileOptions.OptimizeMode`, `DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`, `DescriptorProtos.MethodOptions.IdempotencyLevel`, `Descriptors.EnumValueDescriptor`, `Field.Cardinality`, `Field.Kind`, `JavaFeaturesProto.JavaFeatures.Utf8Validation`, `NullValue`, `PluginProtos.CodeGeneratorResponse.Feature`, `Syntax`, `Value.KindCase`

Enclosing class:
  `Internal`

public static interface Internal.EnumLite
Interface for an enum value or value descriptor, to be used in FieldSet. The lite library stores enum values directly in FieldSets but the full library stores EnumValueDescriptors in order to better support reflection.

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumber()`

## Method Details

### getNumber

int getNumber()